Table of Contents

Module: chord | Twisted-0.17.4/sandbox/chord.py
--- | ---

Imported modules |
--- | ---
import random import sha import socket import struct from twisted.spread import pb
Functions |
between betweenL betweenR
| between

    between (
            n,
            a,
            b,
            )

Check if n in interval(a, b) on the circle.

| betweenL

    betweenL (
            n,
            a,
            b,
            )

Check if n in interval[a, b) on the circle.

| betweenR

    betweenR (
            n,
            a,
            b,
            )

Check if n in interval(a, b] on the circle.

Classes |

ChordService |
Node | A node in a Chord network.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:44 2002 by HappyDoc version 2.0